<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDetailSMEditView9Base from './ibizorder-detail-smedit-view9-base.vue';

import view_meditviewpanel from '@widgets/ibizorder-detail/main-multieditviewpanel/main-multieditviewpanel.vue';
@Component({
    components: {
        view_meditviewpanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDetailSMEditView9 extends IBIZOrderDetailSMEditView9Base {

}
</script>